Package com.macrofocus.high_d.tablelens

# Class AbstractTableLens<Component,Color,R,C>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLens<Component,Color,R,C>

All Implemented Interfaces:
  `TableLens<Component,Color,R,C>`

Direct Known Subclasses:
  `JavaFXTableLens`

public abstract class AbstractTableLens<Component,Color,R,C> extends Object implements TableLens<Component,Color,R,C>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TableLensController<Component,Color,R,C>`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected TableLensView<Component,Color,R,C>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTableLens()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract TableLensController`
  `createController(TableLensView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected abstract TableLensModel<Color,R,C>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract TableLensView<Component,Color,R,C>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `TableLensController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `TableLensModel`
  `getModel()`
  Returns the model used by the scatter plot component.
  `TableLensView<Component,Color,R,C>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `protected void`
  `load(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Loads the specified data frame.
  `void`
  `setController(TableLensController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of TableLens.
  `void`
  `setModel(TableLensModel model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(TableLensView<Component,Color,R,C> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.tablelens.TableLens

  `getNativeComponent`

- ## Field Details

  - ### licenseModel

    protected static LicenseModel licenseModel

  - ### view

    protected TableLensView<Component,Color,R,C> view

  - ### controller

    protected TableLensController<Component,Color,R,C> controller

- ## Constructor Details

  - ### AbstractTableLens

    public AbstractTableLens()

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of TableLens. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### load

    protected void load(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Loads the specified data frame.
    Parameters:
      `dataFrame` - a data frame

  - ### getModel

    public TableLensModel getModel()
    Description copied from interface: `TableLens`
    Returns the model used by the scatter plot component.
    Specified by:
      `getModel` in interface `TableLens<Component,Color,R,C>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(TableLensModel model)
    Description copied from interface: `TableLens`
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `TableLens<Component,Color,R,C>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public TableLensView<Component,Color,R,C> getView()
    Description copied from interface: `TableLens`
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `TableLens<Component,Color,R,C>`
    Returns:
      the view in use

  - ### setView

    public void setView(TableLensView<Component,Color,R,C> view)
    Description copied from interface: `TableLens`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `TableLens<Component,Color,R,C>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public TableLensController getController()
    Description copied from interface: `TableLens`
    Returns the controller used by the parallel coordinates component.
    Specified by:
      `getController` in interface `TableLens<Component,Color,R,C>`
    Returns:
      the controller in use

  - ### setController

    public void setController(TableLensController controller)
    Description copied from interface: `TableLens`
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Specified by:
      `setController` in interface `TableLens<Component,Color,R,C>`
    Parameters:
      `controller` - the controller in use

  - ### createModel

    protected abstract TableLensModel<Color,R,C> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected abstract TableLensView<Component,Color,R,C> createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected abstract TableLensController createController(TableLensView view)
    Creates a controller that can be used by the parallel coordinates component
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a ParallelCoordinatesController instance